
<section class="center-container">

    <div *ngIf="selectedClient" [ngClass]="{'active' : filterOpen}" id="nutrient-filter">
        <div id="filter-header" (click)="filterOpen = !filterOpen">
            <i id="open-filter-icon" class="material-icons">keyboard_arrow_down</i>
            <i id="close-filter-icon" class="material-icons">keyboard_arrow_up</i>
            <h3>Selectie voedingsstoffen</h3>
        </div>
        <div id="filter-content">
            <div class="filter-group">
                <p class="filter-title">totalen</p>
                <input type="checkbox" [(ngModel)]="kcal" /> kcal<br />
                <input type="checkbox" [(ngModel)]="kjoule" /> kJoule<br />
                <input type="checkbox" [(ngModel)]="koolhydraten" /> koolhydraten<br />
                <input type="checkbox" [(ngModel)]="alcohol" /> alcohol<br />
                <input type="checkbox" [(ngModel)]="water" /> water<br />
                <input type="checkbox" [(ngModel)]="vezels" /> vezels<br />

            </div>
            <div class="filter-group">
                <p class="filter-title">suikers</p>
                <input type="checkbox" [(ngModel)]="suiker" /> totaal<br />
                <input type="checkbox" [(ngModel)]="suikerSplit" /> opgesplitst<br />
            </div>
            <div class="filter-group">
                <p class="filter-title">eiwit</p>
                <input type="checkbox" [(ngModel)]="eiwit" /> totaal <br />
                <input type="checkbox" [(ngModel)]="eiwitSplit" /> opgesplitst<br />
            </div>
            <div class="filter-group">
                <p class="filter-title">vetten</p>
                <input type="checkbox" [(ngModel)]="vet" /> totaal <br />
                <input type="checkbox" [(ngModel)]="vetSplit" /> opgesplitst<br />
            </div>
            <div class="filter-group">
                <p class="filter-title">mineralen</p>
                <input type="checkbox" [(ngModel)]="mineralenSplit" /> opgesplitst<br />
            </div>
            <div class="filter-group">
                <p class="filter-title">vitamines</p>
                <input type="checkbox" [(ngModel)]="vitaminesSplit" /> opgesplitst<br />
            </div>

            <!--<input type="checkbox" (click)="filter('kcal')" checked /> kcal <br />-->
            <!--<input type="checkbox" (click)="filter('kjoule')" checked /> kJoule <br />-->
            <!--<input type="checkbox" (click)="filter('eiwit')" checked /> eiwit <br />-->
            <!--<input type="checkbox" (click)="filter('stikstof')" checked /> stikstof<br />-->
        </div>

    </div>

    <ul>
        <li *ngFor="let intake of intake">

        </li>
    </ul>

    <h3 *ngIf="!selectedClient">Selecteer een cliënt</h3>

    <div id="intake-scroll" *ngIf="loadIntake">

        <div id="intake-wrap">

                <h2>Inname</h2>

                <form id="add-intake-form" name="add-intake-form" #intakeForm="ngForm" (ngSubmit)="addIntake()">
                    <table>
                        <!-- Add new intake -->
                        <tr>
                            <th>tijd</th>
                            <th>product</th>
                            <th>hoeveelheid</th>
                            <th></th>
                        </tr>
                        <tr>
                            <td>
                                <input name="time" [(ngModel)]="newIntake.time" />
                            </td>
                            <td class="product">
                                <input aria-label="Product" ([ngModel])="newIntake.productId" name="newProduct" placeholder="Product" matInput [formControl]="myControl"
                                       [matAutocomplete]="newProduct" >
                                <mat-autocomplete #newProduct="matAutocomplete">
                                    <mat-option *ngFor="let newProduct of filteredProducts" (click)="setNewProduct(newProduct)" [value]="newProduct.description">
                                        {{ newProduct.description }}
                                    </mat-option>
                                </mat-autocomplete>

                            </td>
                            <td class="nutrient amount">
                                <input name="amount" #amount="ngModel" [(ngModel)]="newIntake.amount" />
                            </td>
                            <td>
                                <input type="submit" value="voeg toe" />
                            </td>
                        </tr>
                    </table>
                </form>

                <table id="intake-table" *ngIf="intakes && intakes.length > 0">
                    <tr></tr>
                    <tr>
                        <th>tijd</th>
                        <th>product</th>
                        <th>hoeveelheid</th>
                        <!-- Totalen -->
                        <th *ngIf="kcal">kcal</th>
                        <th *ngIf="kjoule">kjoule</th>
                        <th *ngIf="koolhydraten">koolhydraten</th>
                        <th *ngIf="alcohol">alcohol</th>
                        <th *ngIf="water">water</th>
                        <th *ngIf="vezels">vezels</th>
                        <!-- Suiker -->
                        <th *ngIf="suiker">suiker</th>
                        <th *ngIf="suikerSplit">mvKh</th>
                        <th *ngIf="suikerSplit">polyolen</th>
                        <!-- Eiwit -->
                        <th *ngIf="eiwit">eiwit</th>
                        <th *ngIf="eiwitSplit">eiwit (plant)</th>
                        <th *ngIf="eiwitSplit">eiwit (dierlijk)</th>
                        <th *ngIf="eiwitSplit">stikstof</th>
                        <!-- Vet -->
                        <th *ngIf="vet">vet</th>
                        <th *ngIf="vetSplit">vetzuren verz</th>
                        <th *ngIf="vetSplit">transvet</th>
                        <th *ngIf="vetSplit">eov</th>
                        <th *ngIf="vetSplit">mov</th>
                        <!-- Mineralen -->
                        <th *ngIf="mineralenSplit">calcium</th>
                        <th *ngIf="mineralenSplit">fosfor</th>
                        <th *ngIf="mineralenSplit">ijzer t</th>
                        <th *ngIf="mineralenSplit">ijzer haem</th>
                        <th *ngIf="mineralenSplit">ijzer n haem</th>
                        <th *ngIf="mineralenSplit">natrium</th>
                        <th *ngIf="mineralenSplit">kalium</th>
                        <th *ngIf="mineralenSplit">magnesium</th>
                        <th *ngIf="mineralenSplit">zink</th>
                        <th *ngIf="mineralenSplit">selenium</th>
                        <th *ngIf="mineralenSplit">koper</th>
                        <th *ngIf="mineralenSplit">jodium</th>

                        <!-- Vitamines -->
                    </tr>
                    <tr *ngFor="let intake of intakes">

                        <td>
                            <button class="delete" (click)="delete(intake.intake)">
                                <i class="material-icons">close</i>
                            </button>
                            <input name="time" [(ngModel)]="intake.intake.time" [value]="intake.intake.time" (blur)="editIntake(intake.intake, intake.intake.productId, true)" />
                        </td>
                        <td class="product">
                            <!--<input [value]="intake.intake.productId" />-->
                            <!--<input [value]="(intake.product | async)?.description" />-->

                            <input aria-label="Product" matInput [formControl]="myControl"
                                   [value]="(intake.product | async)?.description" [matAutocomplete]="product">
                            <mat-autocomplete #product="matAutocomplete">
                                <mat-option *ngFor="let product of filteredProducts" (click)="editIntake(intake.intake, product.id, true)" [value]="product.description">
                                    {{ product.description }}
                                </mat-option>
                            </mat-autocomplete>

                        </td>
                        <td class="nutrient amount">
                            <input [value]="intake.intake.amount"
                                   name="amount" [(ngModel)]="intake.intake.amount" (blur)="editIntake(intake.intake, intake.intake.productId, false)" />
                        </td>
                        <!-- Totalen -->
                        <td *ngIf="kcal" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.kcal, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="kjoule" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.kjoule, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="koolhydraten" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.koolydraten, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="alcohol" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.alchol, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="water" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.water, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="vezels" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.vezels, intake.intake.amount)" disabled />
                        </td>
                        <!-- Suiker -->
                        <td *ngIf="suiker" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.suiker, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="suikerSplit" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.mvKh, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="suikerSplit" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.polyolen, intake.intake.amount)" disabled />
                        </td>
                        <!-- Eiwit -->
                        <td *ngIf="eiwitSplit" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.stikstof, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="eiwit" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.eiwit, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="eiwitSplit" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.eiwitPlant, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="eiwitSplit" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.eiwitDierlijk, intake.intake.amount)" disabled />
                        </td>
                        <!-- Vet -->
                        <td *ngIf="vet" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.vet, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="vetSplit" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.vetzuren_verzadigd, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="vetSplit" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.transvet, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="vetSplit" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.eov, intake.intake.amount)" disabled />
                        </td>
                        <td *ngIf="vetSplit" class="nutrient">
                            <input [value]="returnNutrient((intake.product | async)?.mov, intake.intake.amount)" disabled />
                        </td>
                        <!--&lt;!&ndash; Mineralen &ndash;&gt;-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.calcium) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.fosfor) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.ijzerT) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.ijzerHaem) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.ijzerNonHaem) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.natrium) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.kalium) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.magnesium) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.zink) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.selenium) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.koper) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                        <!--<td *ngIf="mineralenSplit" class="nutrient">-->
                            <!--<input [value]="returnNutrient(getProduct(intake.productId)?.jodium) / 100 * intake.amount" disabled />-->
                        <!--</td>-->
                    </tr>

                </table>



        </div>

    </div>

</section>
